using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.ViewModels;

public class ComponentRequestAssemblyReportViewModel
{
    public string ComponentName { get; set; } = string.Empty;

    [DisplayName("Даты запросов")]
    public List<DateTime> DateRequests { get; set; } = new();

    [DisplayName("Сборки")]
    public List<string> Assemblies { get; set; } = new();

    [DisplayName("Производитель")]
    public string Manufacturer { get; set; } = string.Empty;

    [DisplayName("ID компонента")]
    public int ComponentId { get; set; }
}
